/* eslint-disable no-magic-numbers */
import { render, screen } from '@testing-library/react';
import {
  InitialStoreState,
  getReduxWrapperWithStore,
} from '@/utils/testing/getReduxWrapperWithStore';
import { bioEntitiesContentFixture } from '@/models/fixtures/bioEntityContentsFixture';
import { StoreType } from '@/redux/store';
import { BioEntityContent } from '@/types/models';
import { BioEntitiesPinsList } from './BioEntitiesPinsList.component';

const renderComponent = (
  bioEnititesPins: BioEntityContent[],
  initialStoreState: InitialStoreState = {},
): { store: StoreType } => {
  const { Wrapper, store } = getReduxWrapperWithStore(initialStoreState);

  return (
    render(
      <Wrapper>
        <BioEntitiesPinsList bioEnititesPins={bioEnititesPins} />
      </Wrapper>,
    ),
    {
      store,
    }
  );
};

describe('BioEntitiesPinsList - component ', () => {
  it('should display list of bio entites elements', () => {
    renderComponent(bioEntitiesContentFixture);

    expect(screen.getAllByTestId('bio-entity-name')).toHaveLength(10);
  });
});
