import { useAppSelector } from '@/redux/hooks/useAppSelector';
import { resultListSelector, stepTypeDrawerSelector } from '@/redux/drawer/drawer.selectors';
import { DrawerHeadingBackwardButton } from '@/shared/DrawerHeadingBackwardButton';
import { useAppDispatch } from '@/redux/hooks/useAppDispatch';
import { displayGroupedSearchResults } from '@/redux/drawer/drawer.slice';
import { searchValueSelector } from '@/redux/search/search.selectors';
import { PinsList } from './PinsList';

export const ResultsList = (): JSX.Element => {
  const dispatch = useAppDispatch();
  const data = useAppSelector(resultListSelector);
  const stepType = useAppSelector(stepTypeDrawerSelector);
  const searchValue = useAppSelector(searchValueSelector);

  const navigateToGroupedSearchResults = (): void => {
    dispatch(displayGroupedSearchResults());
  };

  return (
    <div>
      <DrawerHeadingBackwardButton
        title={stepType}
        value={searchValue}
        backwardFunction={navigateToGroupedSearchResults}
      />
      {data && <PinsList pinsList={data} type={stepType} />}
    </div>
  );
};
