import { HALF } from '@/constants/dividers';
import { BioEntity } from '@/types/models';
import { UsePointToProjectionResult } from '@/utils/map/usePointToProjection';
import { Feature } from 'ol';
import { Point } from 'ol/geom';

export const getPinFeature = (
  { x, y, width, height, id }: BioEntity,
  pointToProjection: UsePointToProjectionResult,
): Feature => {
  const point = {
    x: x + width / HALF,
    y: y + height / HALF,
  };

  return new Feature({
    geometry: new Point(pointToProjection(point)),
    name: id,
  });
};
