import { LinePoint } from '@/types/reactions';
import { UsePointToProjectionResult } from '@/utils/map/usePointToProjection';
import { Feature } from 'ol';
import { LineString } from 'ol/geom';

export const getLineFeature = (
  linePoints: LinePoint,
  pointToProjection: UsePointToProjectionResult,
): Feature => {
  const points = linePoints.map(pointToProjection);

  return new Feature({
    geometry: new LineString(points),
  });
};
