import { createSlice } from '@reduxjs/toolkit';
import { REACTIONS_INITIAL_STATE } from './reactions.constants';
import { getReactionsReducer, resetReactionsDataReducer } from './reactions.reducers';

export const reactionsSlice = createSlice({
  name: 'reactions',
  initialState: REACTIONS_INITIAL_STATE,
  reducers: {
    resetReactionsData: resetReactionsDataReducer,
  },
  extraReducers: builder => {
    getReactionsReducer(builder);
  },
});

export const { resetReactionsData } = reactionsSlice.actions;

export default reactionsSlice.reducer;
